Go to the latest version of this document.

# ``twisted`.`plugins`.`twisted_trial`.`_Reporter``

class documentation

`class _Reporter: (source)`

Constructor: `_Reporter(name, module, description, longOpt, ...)`

Implements interfaces: `twisted.plugin.IPlugin`, `twisted.trial.itrial.IReporter`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `addError` | Record that a test has raised an unexpected exception.
Method | `addExpectedFailure` | Record that the given test failed, and was expected to do so.
Method | `addFailure` | Record that a test has failed with the given failure.
Method | `addSkip` | Record that a test has been skipped for the given reason.
Method | `addSuccess` | Record that test passed.
Method | `addUnexpectedSuccess` | Record that the given test failed, and was expected to do so.
Method | `cleanupErrors` | Undocumented
Method | `done` | Called when the test run is complete.
Method | `endSuite` | Undocumented
Method | `printErrors` | Undocumented
Method | `printSummary` | Undocumented
Method | `startSuite` | Undocumented
Method | `startTest` | Report the beginning of a run of a single test method.
Method | `stopTest` | Report the status of a single test method
Method | `upDownError` | Undocumented
Method | `wasSuccessful` | Return a boolean indicating whether all test results that were reported to this reporter were successful or not.
Method | `write` | Undocumented
Method | `writeln` | Undocumented
Instance Variable | `description` | Undocumented
Instance Variable | `klass` | Undocumented
Instance Variable | `longOpt` | Undocumented
Instance Variable | `module` | Undocumented
Instance Variable | `name` | Undocumented
Instance Variable | `shortOpt` | Undocumented
Property | `args` | Undocumented
Property | `separator` | Undocumented
Property | `shouldStop` | A boolean indicating that this reporter would like the test run to stop.
Property | `stream` | Undocumented
Property | `tbformat` | Undocumented
Property | `testsRun` | The number of tests that seem to have been run according to this reporter.

def __init__(self, name, module, description, longOpt, shortOpt, klass): (source)

Undocumented

def addError(self, test, error): (source)
from `twisted.trial.itrial.IReporter`

Record that a test has raised an unexpected exception.

Parameters
test | The test that has raised an error.
error | The error that the test raised. It will either be a three-tuple in the style of `sys.exc_info()` or a `Failure` object.

def addExpectedFailure(self, test, failure, todo=None): (source)
from `twisted.trial.itrial.IReporter`

Record that the given test failed, and was expected to do so.

In Twisted 15.5 and prior, `todo` was a mandatory parameter.

Parameters
test:`unittest.TestCase` | The test which this is about.
failure:`failure.Failure` | The error which this test failed with.
todo:`unittest.Todo` | The reason for the test's TODO status. If `None`, a generic reason is used.

def addFailure(self, test, failure): (source)
from `twisted.trial.itrial.IReporter`

Record that a test has failed with the given failure.

Parameters
test | The test that has failed.
failure | The failure that the test failed with. It will either be a three-tuple in the style of `sys.exc_info()` or a `Failure` object.

def addSkip(self, test, reason): (source)
from `twisted.trial.itrial.IReporter`

Record that a test has been skipped for the given reason.

Parameters
test | The test that has been skipped.
reason | An object that the test case has specified as the reason for skipping the test.

def addSuccess(self, test): (source)
from `twisted.trial.itrial.IReporter`

Record that test passed.

def addUnexpectedSuccess(self, test, todo=None): (source)
from `twisted.trial.itrial.IReporter`

Record that the given test failed, and was expected to do so.

In Twisted 15.5 and prior, `todo` was a mandatory parameter.

Parameters
test:`unittest.TestCase` | The test which this is about.
todo:`unittest.Todo` | The reason for the test's TODO status. If `None`, a generic reason is used.

def cleanupErrors(self, errs): (source)

Undocumented

def done(self): (source)
from `twisted.trial.itrial.IReporter`

Called when the test run is complete.

This gives the result object an opportunity to display a summary of information to the user. Once you have called `done` on an `IReporter` object, you should assume that the `IReporter` object is no longer usable.

def endSuite(self, name): (source)

Undocumented

def printErrors(self): (source)

Undocumented

def printSummary(self): (source)

Undocumented

def startSuite(self, name): (source)

Undocumented

def startTest(self, method): (source)
from `twisted.trial.itrial.IReporter`

Report the beginning of a run of a single test method.

Parameters
method | an object that is adaptable to ITestMethod

def stopTest(self, method): (source)
from `twisted.trial.itrial.IReporter`

Report the status of a single test method

Parameters
method | an object that is adaptable to ITestMethod

def upDownError(self, userMeth, warn=True, printStatus=True): (source)

Undocumented

def wasSuccessful(self): (source)
from `twisted.trial.itrial.IReporter`

Return a boolean indicating whether all test results that were reported to this reporter were successful or not.

def write(self, string): (source)

Undocumented

def writeln(self, string): (source)

Undocumented

description = (source)

Undocumented

klass = (source)

Undocumented

longOpt = (source)

Undocumented

module = (source)

Undocumented

name = (source)

Undocumented

shortOpt = (source)

Undocumented

@property
args = (source)

Undocumented

@property
separator = (source)

Undocumented

@property
shouldStop = (source)
from `twisted.trial.itrial.IReporter`

A boolean indicating that this reporter would like the test run to stop.

@property
stream = (source)

Undocumented

@property
tbformat = (source)

Undocumented

@property
testsRun = (source)
from `twisted.trial.itrial.IReporter`

The number of tests that seem to have been run according to this reporter.